# Storage

Storage is intended for storing the data of variables and tables. The data stored here shall be **retained**.

### Tables <a href="#tables" id="tables"></a>

Click on the "[Add Table](/workflow/workflow-table.md)" button to add a table to storage. Then set the name and columns of the table.

![](/files/AK6W7ahsH4DWXHE8xKNa)

And to use this table in a workflow, open the workflow table and click the "connect to a storage table" button.

To learn more about the table, check out the [Table page](/workflow/workflow-table.md).

![](/files/XG4K8gYCVUloM3sVjUtS)

### Variables <a href="#variables" id="variables"></a>

You may add a variable from the workflow or the variables page in the storage. The variable name should begin with a double dollar (`$$`) sign whenever you want to read or assign a variable's value. It's necessary to differentiate between the workflow variable and the storage variable. E.g., when you add or update a variable from a block.

To learn more about variables, check out the [variable page](/workflow/variables.md).

![](/files/gDSzVlKNysFAF2gt4ccO) ![](/files/ceZW6PyXLbU2VvTAgWcs)

### Credentials <a href="#credentials" id="credentials"></a>

This is used to keep credentials. The login information stored here will be encrypted. It means you cannot see or modify them after adding them.

Use the secret keywords inside the mustache tag to access these credentials in a workflow. E.g., `{{ secrets@credentialName }}`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.goless.com/reference/storage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
